# setup 


#install extensions located in /exts/ folder
# code-server@4.0.2 omv
CODE_SERVER="/app/code-server/bin/code-server" 

# 4.0.1 n2-plus 
#CODE_SERVER="/usr/local/bin/code-server"

for FILE in .vscode/*.vsix
do
    $CODE_SERVER --install-extension $FILE
done


# pull useful projects
cd /config/workspace
git clone https://github.com/BloomsburyDigital/XML-CMS.git
mkdir quodatum
cd quodatum
git clone https://github.com/Quodatum/xqlint.git
git clone https://github.com/Quodatum/xqdoca.git
git clone https://git.quodatum.duckdns.org/apb/file-samples.git


